program ab
implicit integer(a,c)
implicit real(r),integer(g-v)
end

module cd
implicit none
integer a
end module

blockdata  ef
end 

subroutine suba(c,d)
integer c,d
type tt
   integer ef
end type
type(tt) :: a
end subroutine 

integer function fun_1(a,*) result(b)
end function fun_1
